Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JVMRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  JRockitRuntimeMBean

public interface JVMRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Provides methods for retrieving information about the Java Virtual Machine (JVM) within with the current server instance is running. You cannot change the JVM's operating parameters while the JVM is active. Instead, use the startup options that are described in the JVM's documentation.

These methods can be used for any type of JVM that WebLogic Server supports.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getHeapFreeCurrent()` The current amount of memory (in bytes) that is available in the JVM heap.
`int` | `getHeapFreePercent()` Percentage of the maximum memory that is free.
`long` | `getHeapSizeCurrent()` The current size (in bytes) of the JVM heap.
`long` | `getHeapSizeMax()` The maximum free memory configured for this JVM.
`String` | `getJavaVendor()` Returns the vendor of Java.
`String` | `getJavaVersion()` The Java version of the JVM.
`String` | `getJavaVMVendor()` Returns the vendor of the JVM.
`String` | `getOSName()` Returns the operating system on which the JVM is running.
`String` | `getOSVersion()` The version of the operating system on which the JVM is running.
`String` | `getThreadStackDump()` JVM thread dump.
`long` | `getUptime()` The number of milliseconds that the Virtual Machine has been running.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHeapFreeCurrent

    public long getHeapFreeCurrent()

  The current amount of memory (in bytes) that is available in the JVM heap.

  Returns:
    The heapFreeCurrent value

### getHeapFreePercent

    public int getHeapFreePercent()

  Percentage of the maximum memory that is free.

### getHeapSizeCurrent

    public long getHeapSizeCurrent()

  The current size (in bytes) of the JVM heap.

  Returns:
    The heapSizeCurrent value

### getHeapSizeMax

    public long getHeapSizeMax()

  The maximum free memory configured for this JVM.

### getJavaVendor

    public String getJavaVendor()

  Returns the vendor of Java.

  The vendor of Java that this server runs.

  Returns:
    The javaVendor value

### getJavaVersion

    public String getJavaVersion()

  The Java version of the JVM.

  Returns:
    The javaVersion value

### getJavaVMVendor

    public String getJavaVMVendor()

  Returns the vendor of the JVM.

  The vendor of the JVM that this server runs.

  system property java.vm.vendor is returned

### getOSName

    public String getOSName()

  Returns the operating system on which the JVM is running.

  The operating system on which the JVM is running.

  Returns:
    The oSName value

### getOSVersion

    public String getOSVersion()

  The version of the operating system on which the JVM is running.

  Returns:
    The oSVersion value

### getThreadStackDump

    public String getThreadStackDump()

  JVM thread dump. Thread dump is available only on 1.5 VM

  Returns:
    Formatted thread dump string

### getUptime

    public long getUptime()

  The number of milliseconds that the Virtual Machine has been running.

  Returns:
    The uptime (in milliseconds) of the VM.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD